linux: 2.6.38-13.55 -proposed tracker

Bug #920790 reported by Brad Figg on 2012-01-24
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Unassigned
Prepare-package
Undecided
Brad Figg
Prepare-package-lbm
Undecided
Canonical Kernel Team
Prepare-package-meta
Undecided
Canonical Kernel Team
Promote-to-proposed
Undecided
Ubuntu Stable Release Updates Team
Promote-to-security
Undecided
Ubuntu Stable Release Updates Team
Promote-to-updates
Undecided
Ubuntu Stable Release Updates Team
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
John Johansen
Verification-testing
Undecided
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Natty
Undecided
Unassigned

Bug Description

This bug is for tracking the 2.6.38-13.55 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Tuesday, 24. January 2012 02:40 UTC
kernel-stable-Prepare-package-end:Wednesday, 25. January 2012 18:18 UTC
kernel-stable-Promote-to-proposed-start:Wednesday, 25. January 2012 18:18 UTC
kernel-stable-Promote-to-proposed-end:Friday, 27. January 2012 09:01 UTC
kernel-stable-Verification-testing-start:Friday, 27. January 2012 17:22 UTC
kernel-stable-Verification-testing-end:Friday, 03. February 2012 13:15 UTC
kernel-stable-Certification-testing-start:Friday, 03. February 2012 13:15 UTC
kernel-stable-Security-signoff-start:Friday, 03. February 2012 13:15 UTC
kernel-stable-Regression-testing-start:Friday, 03. February 2012 13:15 UTC
kernel-stable-Certification-testing-end:Friday, 03. February 2012 13:30 UTC
kernel-stable-Security-signoff-end:Friday, 03. February 2012 14:46 UTC
kernel-stable-Promote-to-updates-start:Tuesday, 07. February 2012 18:46 UTC
kernel-stable-Regression-testing-end:Tuesday, 07. February 2012 18:46 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Monday, 13. February 2012 06:45 UTC
kernel-stable-Promote-to-updates-end:Monday, 13. February 2012 06:45 UTC

Brad Figg (brad-figg) on 2012-01-24
tags: added: kernel-release-tracking-bug
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: natty
Changed in kernel-sru-workflow:
status: New → In Progress

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ti-omap4 - bug 921724

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-backport-natty (lucid) - bug 921726

description: updated
Martin Pitt (pitti) on 2012-01-27
Changed in linux (Ubuntu):
status: In Progress → Invalid
Brad Figg (brad-figg) on 2012-01-27
description: updated
Brad Figg (brad-figg) on 2012-01-27
description: updated
Herton R. Krzesinski (herton) wrote :

All SRUs verified, verification-testing is complete.

Brad Figg (brad-figg) on 2012-02-03
description: updated

Hardware Certification is no longer testing Natty kernels. Can you please add our task to the blacklist? Thanks!

Brad Figg (brad-figg) on 2012-02-03
description: updated
John Johansen (jjohansen) wrote :

looks good

Brad Figg (brad-figg) on 2012-02-03
description: updated
C de-Avillez (hggdh2) wrote :

No regressions observed

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2012-02-07
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.38-13.55

---------------
linux (2.6.38-13.55) natty-proposed; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #920790

  [ Upstream Kernel Changes ]

  * fuse: check size of FUSE_NOTIFY_INVAL_ENTRY message, CVE-2011-3353
    - LP: #905058
    - CVE-2011-3353
  * KVM: x86: Prevent starting PIT timers in the absence of irqchip support
    - LP: #911303
    - CVE-2011-4622
  * sched, x86: Avoid unnecessary overflow in sched_clock
    - LP: #805341
  * use cache type functions for arch_get_unmapped_area
    - LP: #861296
  * topdown mmap support
    - LP: #861296
  * xfs: validate acl count
    - LP: #917706
    - CVE-2012-0038
  * xfs: fix acl count validation in xfs_acl_from_disk()
    - LP: #917706
    - CVE-2012-0038
  * drm: integer overflow in drm_mode_dirtyfb_ioctl()
    - LP: #917838
    - CVE-2012-0044
  * x86/PCI: amd: factor out MMCONFIG discovery
    - LP: #647043
  * PNP: work around Dell 1536/1546 BIOS MMCONFIG bug that
    - LP: #647043
 -- Brad Figg <email address hidden> Mon, 23 Jan 2012 18:31:33 -0800

Changed in linux (Ubuntu Natty):
status: New → Fix Released
Martin Pitt (pitti) wrote :

Copied to -security as well.

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers